Patch Agent
curl --request PATCH \
--url https://api.example.com/v1/agents/{agent_uuid} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"endpoint_url": "<string>",
"auth_header_name": "<string>",
"auth_header_value": "<string>",
"trigger_on_sources": [
"<string>"
],
"trigger_on_severities": [
"<string>"
],
"trigger_filter": {},
"timeout_seconds": 150,
"retry_count": 5,
"is_active": true,
"documentation": "<string>"
}
'import requests
url = "https://api.example.com/v1/agents/{agent_uuid}"
payload = {
"name": "<string>",
"description": "<string>",
"endpoint_url": "<string>",
"auth_header_name": "<string>",
"auth_header_value": "<string>",
"trigger_on_sources": ["<string>"],
"trigger_on_severities": ["<string>"],
"trigger_filter": {},
"timeout_seconds": 150,
"retry_count": 5,
"is_active": True,
"documentation": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
endpoint_url: '<string>',
auth_header_name: '<string>',
auth_header_value: '<string>',
trigger_on_sources: ['<string>'],
trigger_on_severities: ['<string>'],
trigger_filter: {},
timeout_seconds: 150,
retry_count: 5,
is_active: true,
documentation: '<string>'
})
};
fetch('https://api.example.com/v1/agents/{agent_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"endpoint_url": "<string>",
"auth_header_name": "<string>",
"trigger_on_sources": [
"<string>"
],
"trigger_on_severities": [
"<string>"
],
"trigger_filter": {},
"timeout_seconds": 123,
"retry_count": 123,
"is_active": true,
"documentation": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents
Update Agent
PATCH
/
v1
/
agents
/
{agent_uuid}
Patch Agent
Path Parameters
Body
application/json
Required range:
1 <= x <= 300Required range:
0 <= x <= 10⌘I

